Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

fix for GRAILS-9406 "Mavenized project tries to pull in Groovy 1.7.8"

  • Loading branch information...
commit 59ba8807b29b8ec3da9f45b93f3fa1b13fed1d9b 1 parent df45f3b
graemerocher graemerocher authored
Showing with 27 additions and 2 deletions.
  1. +27 −2 grails-plugin-testing/build.gradle
29 grails-plugin-testing/build.gradle
View
@@ -12,15 +12,40 @@ dependencies {
project(':grails-test'),
project(':grails-hibernate')
+
// Datastore APIs
compile("org.grails:grails-datastore-gorm:$datastoreVersion") {
transitive = false
+ exclude group: 'org.grails', module:'grails-bootstrap'
+ exclude group: 'org.grails', module:'grails-core'
+ exclude group: 'org.grails', module:'grails-test'
+ exclude group: 'org.slf4j', module:'jcl-over-slf4j'
+ exclude group: 'org.slf4j', module:'jul-to-slf4j'
+ exclude group: 'org.slf4j', module:'slf4j-api'
+ exclude group: 'org.slf4j', module:'slf4j-simple'
+
}
compile("org.grails:grails-datastore-core:$datastoreVersion") {
- transitive = false
+ exclude group: 'org.springframework', module:'spring-core'
+ exclude group: 'org.springframework', module:'spring-context'
+ exclude group: 'org.springframework', module:'spring-web'
+ exclude group: 'org.springframework', module:'spring-beans'
+ exclude group: 'org.springframework', module:'spring-tx'
+ exclude group: 'org.slf4j', module:'jcl-over-slf4j'
+ exclude group: 'org.slf4j', module:'jul-to-slf4j'
+ exclude group: 'org.slf4j', module:'slf4j-api'
+ exclude group: 'org.slf4j', module:'slf4j-simple'
+ exclude group: 'org.grails', module:'grails-bootstrap'
+ exclude group: 'org.grails', module:'grails-core'
+ exclude group: 'org.grails', module:'grails-test'
+ exclude group: 'commons-collections', module:'commons-collections'
+ exclude group: 'commons-lang', module:'commons-lang'
+ exclude group: 'javassit', module:'javassist'
+ exclude group: 'java-persistence', module:'persistence-api'
+ exclude group: 'javassist', module: 'javassist'
}
compile("org.grails:grails-datastore-simple:$datastoreVersion") {
- transitive = false
+ exclude group: 'org.grails', module:'grails-datastore-core'
}
compile("org.springframework:spring-test:${springVersion}") {
Please sign in to comment.
Something went wrong with that request. Please try again.